## GstCudaStream

### Members

`parent` (GstMiniObject) –
No description available
`context` (GstCudaContext *) –
No description available

Since : 1.24

## GstCuda.CudaStream

### Members

`parent` (Gst.MiniObject) –
No description available
`context` (GstCuda.CudaContext) –
No description available

Since : 1.24

## GstCuda.CudaStream

### Members

`parent` (Gst.MiniObject) –
No description available
`context` (GstCuda.CudaContext) –
No description available

Since : 1.24

### Constructors

#### gst_cuda_stream_new

    GstCudaStream *
    gst_cuda_stream_new (GstCudaContext * context)

Creates a new GstCudaStream

Parameters:

`context` –

a GstCudaContext

Returns ( [transfer: full][nullable]) –

a new GstCudaStream or NULL on failure

Since : 1.24

#### GstCuda.CudaStream.prototype.new

    function GstCuda.CudaStream.prototype.new(context: GstCuda.CudaContext): {
        // javascript wrapper for 'gst_cuda_stream_new'
    }

Creates a new GstCuda.CudaStream

Parameters:

`context` (GstCuda.CudaContext) –

a GstCuda.CudaContext

Returns (GstCuda.CudaStream) –

a new GstCuda.CudaStream or NULL on failure

Since : 1.24

#### GstCuda.CudaStream.new

    def GstCuda.CudaStream.new (context):
        #python wrapper for 'gst_cuda_stream_new'

Creates a new GstCuda.CudaStream

Parameters:

`context` (GstCuda.CudaContext) –

a GstCuda.CudaContext

Returns (GstCuda.CudaStream) –

a new GstCuda.CudaStream or NULL on failure

Since : 1.24

### Methods

#### gst_cuda_stream_get_handle

    CUstream
    gst_cuda_stream_get_handle (GstCudaStream * stream)

Get CUDA stream handle

Parameters:

`stream` ( [allow-none]) –

a GstCudaStream

Returns –

a `CUstream` handle of stream or NULL if stream is NULL

Since : 1.24

#### GstCuda.CudaStream.prototype.get_handle

    function GstCuda.CudaStream.prototype.get_handle(): {
        // javascript wrapper for 'gst_cuda_stream_get_handle'
    }

Get CUDA stream handle

Parameters:

`stream` (GstCuda.CudaStream) –

a GstCuda.CudaStream

Returns (CudaGst.stream) –

a `CUstream` handle of stream or NULL if stream is NULL

Since : 1.24

#### GstCuda.CudaStream.get_handle

    def GstCuda.CudaStream.get_handle (self):
        #python wrapper for 'gst_cuda_stream_get_handle'

Get CUDA stream handle

Parameters:

`stream` (GstCuda.CudaStream) –

a GstCuda.CudaStream

Returns (CudaGst.stream) –

a `CUstream` handle of stream or NULL if stream is NULL

Since : 1.24

#### gst_cuda_stream_ref

    GstCudaStream *
    gst_cuda_stream_ref (GstCudaStream * stream)

Increase the reference count of stream.

Parameters:

`stream` –

a GstCudaStream

Returns ( [transfer: full]) –

stream

Since : 1.24

#### GstCuda.CudaStream.prototype.ref

    function GstCuda.CudaStream.prototype.ref(): {
        // javascript wrapper for 'gst_cuda_stream_ref'
    }

Increase the reference count of stream.

Parameters:

`stream` (GstCuda.CudaStream) –

a GstCuda.CudaStream

Returns (GstCuda.CudaStream) –

stream

Since : 1.24

#### GstCuda.CudaStream.ref

    def GstCuda.CudaStream.ref (self):
        #python wrapper for 'gst_cuda_stream_ref'

Increase the reference count of stream.

Parameters:

`stream` (GstCuda.CudaStream) –

a GstCuda.CudaStream

Returns (GstCuda.CudaStream) –

stream

Since : 1.24

#### gst_cuda_stream_unref

    gst_cuda_stream_unref (GstCudaStream * stream)

Decrease the reference count of stream.

Parameters:

`stream` –

a GstCudaStream

Since : 1.24

#### GstCuda.CudaStream.prototype.unref

    function GstCuda.CudaStream.prototype.unref(): {
        // javascript wrapper for 'gst_cuda_stream_unref'
    }

Decrease the reference count of stream.

Parameters:

`stream` (GstCuda.CudaStream) –

a GstCuda.CudaStream

Since : 1.24

#### GstCuda.CudaStream.unref

    def GstCuda.CudaStream.unref (self):
        #python wrapper for 'gst_cuda_stream_unref'

Decrease the reference count of stream.

Parameters:

`stream` (GstCuda.CudaStream) –

a GstCuda.CudaStream

Since : 1.24

## Functions

### gst_clear_cuda_stream

    gst_clear_cuda_stream (GstCudaStream ** stream)

Clears a reference to a GstCudaStream.

Parameters:

`stream` –

a pointer to a GstCudaStream reference

Since : 1.24

The results of the search are